### Class

# GUPnPAV DIDLLiteParser

#### Description [src]

    class GUPnPAV.DIDLLiteParser : GObject.Object
    {
      /* No available fields */
    }

A/V DIDL-Lite XML parser

`GUPnPDIDLLiteParser` parses DIDL-Lite XML strings.

#### Ancestors

- GObject

#### Constructors

###### gupnp_didl_lite_parser_new

No description available.

#### Instance methods

###### gupnp_didl_lite_parser_parse_didl

Parses DIDL-Lite XML string `didl`, emitting the ::object-available, ::item-available and ::container-available signals appropriately during the process.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### GUPnPAV.DIDLLiteParser::container-available

The ::container-available signal is emitted each time a container is found in the DIDL-Lite XML being parsed.

###### GUPnPAV.DIDLLiteParser::item-available

The ::item-available signal is emitted each time an item is found in the DIDL-Lite XML being parsed.

###### GUPnPAV.DIDLLiteParser::object-available

The ::object-available signal is emitted each time an object is found in the DIDL-Lite XML being parsed.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUPnPAVDIDLLiteParserClass {
      GObjectClass parent_class;
      void (* object_available) (
        GUPnPDIDLLiteParser* parser,
        GUPnPDIDLLiteObject* object
      );
      void (* item_available) (
        GUPnPDIDLLiteParser* parser,
        GUPnPDIDLLiteItem* item
      );
      void (* container_available) (
        GUPnPDIDLLiteParser* parser,
        GUPnPDIDLLiteContainer* container
      );
      void (* _gupnp_reserved1) (
    void
      );
      void (* _gupnp_reserved2) (
    void
      );
      void (* _gupnp_reserved3) (
    void
      );
      void (* _gupnp_reserved4) (
    void
      );
      void (* _gupnp_reserved5) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`object_available: void (* object_available) ( GUPnPDIDLLiteParser* parser, GUPnPDIDLLiteObject* object )`

  No description available.

`item_available: void (* item_available) ( GUPnPDIDLLiteParser* parser, GUPnPDIDLLiteItem* item )`

  No description available.

`container_available: void (* container_available) ( GUPnPDIDLLiteParser* parser, GUPnPDIDLLiteContainer* container )`

  No description available.

`_gupnp_reserved1: void (* _gupnp_reserved1) ( void )`

  No description available.

`_gupnp_reserved2: void (* _gupnp_reserved2) ( void )`

  No description available.

`_gupnp_reserved3: void (* _gupnp_reserved3) ( void )`

  No description available.

`_gupnp_reserved4: void (* _gupnp_reserved4) ( void )`

  No description available.

`_gupnp_reserved5: void (* _gupnp_reserved5) ( void )`

  No description available.

#### Virtual methods

###### GUPnPAV.DIDLLiteParserClass.container_available

No description available.

###### GUPnPAV.DIDLLiteParserClass.item_available

No description available.

###### GUPnPAV.DIDLLiteParserClass.object_available

No description available.